Skip to content

List organizations the caller can select

GET
/v2/organizations
curl --request GET \
--url https://api.runta.com/v2/organizations \
--header 'Authorization: Bearer <token>'

Caller organizations.

Media typeapplication/json
object
data
required
Array<object>

An organization the device credential can select.

object
id
required
string
name
required
string
slug
required
string
role
required

Role granted to the caller in the current organization.

string
Allowed values: owner admin developer unscoped
current
required

True when this is the organization the credential acts in.

boolean
Example
{
"data": [
{
"role": "owner"
}
]
}

Missing, malformed, or rejected bearer token

Media typeapplication/json
object
error
required
object
authorization_reason

Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.

string
code
required
string
Allowed values: already_exists command_failed deadline_exceeded failed_precondition FEATURE_TEMPORARILY_DISABLED internal invalid_argument not_found permission_denied tenant_blocked rate_limited unauthenticated unavailable unimplemented
message
required
string
request_id
required

UUID v7 correlation ID shared with the X-Request-Id response header.

string
Example
{
"error": {
"code": "already_exists"
}
}

The bearer token is not allowed to perform this action

Media typeapplication/json
object
error
required
object
authorization_reason

Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.

string
code
required
string
Allowed values: already_exists command_failed deadline_exceeded failed_precondition FEATURE_TEMPORARILY_DISABLED internal invalid_argument not_found permission_denied tenant_blocked rate_limited unauthenticated unavailable unimplemented
message
required
string
request_id
required

UUID v7 correlation ID shared with the X-Request-Id response header.

string
Example
{
"error": {
"code": "already_exists"
}
}

The requested resource was not found

Media typeapplication/json
object
error
required
object
authorization_reason

Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.

string
code
required
string
Allowed values: already_exists command_failed deadline_exceeded failed_precondition FEATURE_TEMPORARILY_DISABLED internal invalid_argument not_found permission_denied tenant_blocked rate_limited unauthenticated unavailable unimplemented
message
required
string
request_id
required

UUID v7 correlation ID shared with the X-Request-Id response header.

string
Example
{
"error": {
"code": "already_exists"
}
}

The request conflicts with current resource state

Media typeapplication/json
object
error
required
object
authorization_reason

Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.

string
code
required
string
Allowed values: already_exists command_failed deadline_exceeded failed_precondition FEATURE_TEMPORARILY_DISABLED internal invalid_argument not_found permission_denied tenant_blocked rate_limited unauthenticated unavailable unimplemented
message
required
string
request_id
required

UUID v7 correlation ID shared with the X-Request-Id response header.

string
Example
{
"error": {
"code": "already_exists"
}
}

Validation or application error

Media typeapplication/json
object
error
required
object
authorization_reason

Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.

string
code
required
string
Allowed values: already_exists command_failed deadline_exceeded failed_precondition FEATURE_TEMPORARILY_DISABLED internal invalid_argument not_found permission_denied tenant_blocked rate_limited unauthenticated unavailable unimplemented
message
required
string
request_id
required

UUID v7 correlation ID shared with the X-Request-Id response header.

string
Example
{
"error": {
"code": "already_exists"
}
}

Rate limit exceeded

Media typeapplication/json
object
error
required
object
authorization_reason

Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.

string
code
required
string
Allowed values: already_exists command_failed deadline_exceeded failed_precondition FEATURE_TEMPORARILY_DISABLED internal invalid_argument not_found permission_denied tenant_blocked rate_limited unauthenticated unavailable unimplemented
message
required
string
request_id
required

UUID v7 correlation ID shared with the X-Request-Id response header.

string
Example
{
"error": {
"code": "already_exists"
}
}

Operation is not implemented

Media typeapplication/json
object
error
required
object
authorization_reason

Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.

string
code
required
string
Allowed values: already_exists command_failed deadline_exceeded failed_precondition FEATURE_TEMPORARILY_DISABLED internal invalid_argument not_found permission_denied tenant_blocked rate_limited unauthenticated unavailable unimplemented
message
required
string
request_id
required

UUID v7 correlation ID shared with the X-Request-Id response header.

string
Example
{
"error": {
"code": "already_exists"
}
}

Upstream service is unavailable

Media typeapplication/json
object
error
required
object
authorization_reason

Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.

string
code
required
string
Allowed values: already_exists command_failed deadline_exceeded failed_precondition FEATURE_TEMPORARILY_DISABLED internal invalid_argument not_found permission_denied tenant_blocked rate_limited unauthenticated unavailable unimplemented
message
required
string
request_id
required

UUID v7 correlation ID shared with the X-Request-Id response header.

string
Example
{
"error": {
"code": "already_exists"
}
}

Upstream request timed out

Media typeapplication/json
object
error
required
object
authorization_reason

Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.

string
code
required
string
Allowed values: already_exists command_failed deadline_exceeded failed_precondition FEATURE_TEMPORARILY_DISABLED internal invalid_argument not_found permission_denied tenant_blocked rate_limited unauthenticated unavailable unimplemented
message
required
string
request_id
required

UUID v7 correlation ID shared with the X-Request-Id response header.

string
Example
{
"error": {
"code": "already_exists"
}
}

Error response

Media typeapplication/json
object
error
required
object
authorization_reason

Authorization refusal reason. Only required_scope_missing permits an OAuth scope challenge.

string
code
required
string
Allowed values: already_exists command_failed deadline_exceeded failed_precondition FEATURE_TEMPORARILY_DISABLED internal invalid_argument not_found permission_denied tenant_blocked rate_limited unauthenticated unavailable unimplemented
message
required
string
request_id
required

UUID v7 correlation ID shared with the X-Request-Id response header.

string
Example
{
"error": {
"code": "already_exists"
}
}